import { ComponentFactoryResolver, OnDestroy, OnInit, ViewContainerRef } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiMouseService } from "../../services/mouse.service";
import { StiHelperService } from "../../services/sti-helper.service";
import { StiLocalizationService } from "../../services/sti-localization.service";
import { Subscription } from "rxjs";
export declare class PropertiesComponent implements OnInit, OnDestroy {
    private resolver;
    model: StiModelService;
    mouseService: StiMouseService;
    helper: StiHelperService;
    loc: StiLocalizationService;
    container: ViewContainerRef;
    private componentRef;
    private savedTableJson;
    propertiesComponents: [];
    startWidth: any;
    startX: any;
    isDrag: boolean;
    properties: any[];
    get isTable(): boolean;
    get object(): any;
    hasValue(property: string): boolean;
    mouseUpSubscription: Subscription;
    mouseMoveSubscription: Subscription;
    refreshSubscription: Subscription;
    refreshFromLocalizationSubscription: Subscription;
    constructor(resolver: ComponentFactoryResolver, model: StiModelService, mouseService: StiMouseService, helper: StiHelperService, loc: StiLocalizationService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    needToDisable(property: any): boolean;
    onMouseDown(event: any): void;
    back(): void;
    drag(event: any): void;
    endDrag(event: any): void;
    private checkTableProperties;
    updateProperties(): void;
}
